Subject: Re: [pkix] AuthContext Certificate extension

From: Stefan Santesson <[email-masked]>
Date: Tue, 26 Feb 2013 10:42:54 +0100

I could live with a choice.

But I still think the solution in the draft is easier to code and parse,
since I in any case never do parse the content but pass the data to an
upper application.
So I can just forward the bytes, while this example requires a somewhat
more complex interface to the upper application. But doable.

/Stefan

On 2/26/13 10:07 AM, "George Michaelson" <[email-masked]> wrote:

>
>ANY DEFINED BY...
>
>EXTERNAL...
>
>these both exist for a reason surely?
>
>we recently played with:
>
>EXTERNALTAKE2  ::=  [UNIVERSAL 8] IMPLICIT SEQUENCE
>   {
>    type         OBJECT IDENTIFIER OPTIONAL,
>    descriptor   UTF8String  OPTIONAL,
>    encoding     CHOICE {
>                  single-ASN1-type  [0] ANY,
>                  octet-aligned     [1] IMPLICIT OCTET STRING,
>                  arbitrary         [2] IMPLICIT BIT STRING
>                 }
>   }
>
>-G